> ## Name

> PixelShader - 3D API pixel shader

> ## Usage

> PixelShader = compile profile "-po profileOption" main(args);

> ## Valid Enumerants

> shader: Null

> ## Description

> Compile a pixel shader. See the specification of the OpenGL fragment profile for details. See the specification of the Direct3D pixel shaders for details.

> The standard reset callback sets the PixelShader state to program(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> GeometryShader, TessellationControlShader, TessellationEvaluationShader, VertexShader, FragmentProgram, GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, VertexProgram